<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<div id="book-me">
	<div class="i">
		<div class="ii">
			<div class="body">

				<div class="booking-request">
					<div class="clear"></div>
					<div class="img_wrp">
						<img src="<?= $this->escort->getMainPhoto()->getUrl('book_me') ?>" height="62" width="62" alt="<?= $this->showname ?>" />
					</div>
					
				</div>
				
				<? if ( ! $this->success ): ?>
				<div id="book-me-form">
					<form method="post" action="/escorts/book-me/<?= $this->escort_id ?>/<?= $this->showname ?>">
						<p class="enter-details">PLEASE ENTER YOUR DETAILS</p>
						<div class="sep"></div>
						
						<div class="inner" style="margin-left:73px; margin-right: 24px">
							<label for="name">Name:</label>
							<div class="<?= ( ! in_array('name', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" id="name" name="name" value="<?= $this->name ?>" class="<?= ( ! in_array('name', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w140"/>
							</div>
						</div>
						
						<div class="inner">
							<label for="surname">Surname:</label>
							<div class="<?= ( ! in_array('surname', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="surname" value="<?= $this->surname ?>" id="surname" class="<?= ( ! in_array('surname', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w140"/>
							</div>
						</div>
						
						<div class="inner" style="margin-left: 60px; margin-right: 32px">
							<label for="address">Address:</label>
							<div class="<?= ( ! in_array('address', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="address" id="address" value="<?= $this->address ?>" class="<?= ( ! in_array('address', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w220"/>
							</div>
						</div>
						
						<div class="inner">
							<label for="city">City:</label>
							<div class="<?= ( ! in_array('city', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="city" id="city" value="<?= $this->city ?>" class="<?= ( ! in_array('city', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w80"/>
							</div>
						</div>
						
						<div class="inner" style="margin-left: 75px; margin-right: 10px !important">
							<label for="state">State:</label>
							<div class="<?= ( ! in_array('state', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="state" id="state" value="<?= $this->state ?>" class="<?= ( ! in_array('state', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w80"/>
							</div>
						</div>
						
						<div class="inner" style="margin-right: 7px !important">
							<label for="country">Country:</label>
							<div style="float:left; margin-top: 2px">
								<select id="country" name="country" style="padding: 2px; width: 110px;">
									<? foreach( Model_Countries::getTravelCountriesByEscort($this->escort_id) as $country ):?>
									<option <? if( $this->country == $country->id ): ?>selected="selected"<? endif; ?> value="<?= $country->id ?>"><?= $country->title ?></option>
									<? endforeach; ?>
								</select>
							</div>
						</div>
						
						<div class="inner">
							<label for="zip">ZIP:</label>
							<div class="<?= ( ! in_array('zip', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="zip" value="<?= $this->zip ?>" id="zip" class="<?= ( ! in_array('zip', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w80"/>
							</div>
						</div>						
						<div class="clear"></div>
						
						<div class="inner" style="margin-left: 71px">
							<label for="phone">Phone:</label>
							<div class="<?= ( ! in_array('phone', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="phone" value="<?= $this->phone ?>" id="phone" class="<?= ( ! in_array('phone', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w80"/>
							</div>
						</div>
						
						<div class="inner">
							<label for="email">E-mail:</label>
							<div class="<?= ( ! in_array('email', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="email" value="<?= $this->email ?>" id="email" class="<?= ( ! in_array('email', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w220"/>
							</div>
						</div>
						<div class="clear"></div>
						
						<div class="inner" style="margin-left: 15px">
							<label for="req_date">Requested Date:</label>
							<div class="<?= ( ! in_array('request_date', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="request_date" value="<?= $this->request_date ?>" id="req_date" class="<?= ( ! in_array('request_date', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> date w80"/>
							</div>
						</div>
						
						<div class="inner">
							<label for="duration">Duration of meeting:</label>
							<div class="<?= ( ! in_array('duration', $this->errors)) ? 'inp' : 'inp-err'; ?>">
								<input type="text" name="duration" value="<?= $this->duration ?>" id="duration" class="<?= ( ! in_array('duration', $this->errors)) ? 'txt-input' : 'txt-input-err'; ?> w80"/>								
							</div>
							<select name="duration_unit" style="padding: 2px; margin: 2px;">
								<? foreach( $DEFINITIONS['hours_days_options'] as $id => $unit ): ?>
								<option <? if( $this->duration_unit == $id ): ?>selected="selected"<? endif; ?> value="<?= $id ?>"><?= $unit ?></option>
								<? endforeach; ?>
							</select>
						</div>
						<div class="clear"></div>
						
						<div class="inner" style="margin-left: 27px">
							<label for="message">Your message:</label>
							<div class="txtarea-inp">
								<textarea name="message" id="message" class="txtarea-input w80"><?= $this->message ?></textarea>
							</div>
						</div>
						<div class="clear"></div>
						
						<div class="group">
							<span class="title">How we should get in contact with you?</span>
							<div class="clear"></div>
							<label for="contact-by-phone" class="first"><span class="ch">By Phone</span><input type="checkbox" <? if( in_array(BOOKIN_CONTACT_PHONE, $this->contact) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_CONTACT_PHONE ?>" name="contact[<?= BOOKIN_CONTACT_PHONE ?>]" id="contact-by-phone"/></label>
							<label for="contact-by-email"><span class="ch">By Email</span><input type="checkbox" <? if( in_array(BOOKIN_CONTACT_EMAIL, $this->contact) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_CONTACT_EMAIL ?>" name="contact[<?= BOOKIN_CONTACT_EMAIL ?>]" id="contact-by-email"/></label>
							<label for="contact-no-matter"><span class="ch">Doesn't matter</span><input type="checkbox" <? if( in_array(BOOKIN_CONTACT_NO_MATTER, $this->contact) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_CONTACT_NO_MATTER ?>" name="contact[<?= BOOKIN_CONTACT_NO_MATTER ?>]" id="contact-no-matter"/></label>
							<? if( in_array('contact', $this->errors) ): ?>
							<p class="err">Please check at least one!</p>
							<? endif; ?>
						</div>
						<div class="clear"></div>
						
						<div class="group">
							<span class="title">Preferred time?</span>
							<div class="clear"></div>
							<label for="time-morning" class="first"><span class="ch">Morning</span><input type="checkbox" <? if( in_array(BOOKIN_PREFERRED_TIME_MORNING, $this->time) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_PREFERRED_TIME_MORNING ?>" name="time[<?= BOOKIN_PREFERRED_TIME_MORNING ?>]" id="time-morning"/></label>
							<label for="time-afternoon"><span class="ch">Afternoon</span><input type="checkbox" <? if( in_array(BOOKIN_PREFERRED_TIME_AFTERNOON, $this->time) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_PREFERRED_TIME_AFTERNOON ?>" name="time[<?= BOOKIN_PREFERRED_TIME_AFTERNOON ?>]" id="time-afternoon"/></label>
							<label for="time-evening"><span class="ch">Evening</span><input type="checkbox" <? if( in_array(BOOKIN_PREFERRED_TIME_EVENING, $this->time) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_PREFERRED_TIME_EVENING ?>" name="time[<?= BOOKIN_PREFERRED_TIME_EVENING ?>]" id="time-evening"/></label>
							<label for="time-no-matter"><span class="ch">Doesn't matter</span><input type="checkbox" <? if( in_array(BOOKIN_PREFERRED_TIME_NO_MATTER, $this->time) ): ?>checked="checked"<? endif; ?> value="<?= BOOKIN_PREFERRED_TIME_NO_MATTER ?>" name="time[<?= BOOKIN_PREFERRED_TIME_NO_MATTER ?>]" id="time-no-matter"/></label>
							<? if( in_array('time', $this->errors) ): ?>
							<p class="err">Please check at least one!</p>
							<? endif; ?>
						</div>
						<div class="clear"></div>
						
						<input type="submit" class="submit" />
					</form>
				</div>
				<div class="clear"></div>
				<? else: ?>
				<p class="done">Your Booking Request is submitted!</p>
				<? endif; ?>
			</div>
		</div>
	</div>
</div>